body {
    margin: 0;
    display: grid;
    grid-template-areas: "map" "nav";
    grid-template-columns: 1fr;
    grid-template-rows: auto 100px;
    height: 100vh;
}
.selector {
    grid-area: nav;
    display: flex;
    padding: 0 10px 5px;
    justify-content: center;
    max-width: 100vw;
    box-sizing: border-box;

    background-image: linear-gradient(rgb(10, 22, 27), rgb(5, 40, 44));
}
.selector button {
    cursor: pointer;
    font-size: 2em;
    border-width: 0;
    max-width: 300px;
    width: 100%;
    font-family: 'Roboto', sans-serif;
    background: rgb(21, 77, 55);
    border-radius: 5px;
    background-size: 150% 150%, cover;
    background-position: 50% 50%, 50% 50%;
    margin: 0 5px;
    color: #fff;
    display: block;
    text-shadow: 2px 2px 1px rgba(0, 0, 0, 0.8);
    transition: background-position 100ms;
    overflow: hidden;
    text-overflow: ellipsis;
}
@media (max-width: 660px) {
    .selector button {
        font-size: 1em;
    }
}
@media (max-width: 380px) {
    .selector button {
        font-size: .5em;
    }
}
.selector button[data-map="erangel"] {
    background-image:
        linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 1)),
        url('./img/erangel.jpg');
}
.selector button[data-map="sanhok"] {
    background-image:
        linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 1)),
        url('./img/sanhok.jpg');
}
.selector button[data-map="miramar"] {
    background-image:
        linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 1)),
        url('./img/miramar.jpg');
}
.selector button[data-map="vikendi"] {
    background-image:
        linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 1)),
        url('./img/vikendi.jpg');
}
.selector button:focus,
.selector button:hover {
    background-position: 50% 75%, 50% 50%;
}
.selector button:active {
    background-position: 50% 100%, 50% 50%;
    background-size: 150% 150%, cover;
}
.map-view {
    grid-area: map;
    background-image: linear-gradient(rgb(5, 62, 70), rgb(10, 22, 27));
    display: grid;
    grid-template: 1fr / 1fr;
    align-items: center;
    justify-items: center;
}
.map {
    display: none;
    grid-column: 1 / 2;
    grid-row: 1 / 2;
    height: calc(100vw - 20px);
    width: calc(100vw - 20px);
    box-sizing: border-box;
    position: relative;
    overflow: hidden;

    background-size: contain;
    border: 1px solid #fff;
    transition: opacity 150ms, transform 1500ms;
}
@media (orientation: landscape) {
    .map {
        height: calc(100vh - 120px);
        width: calc(100vh - 120px);
    }
}
.map.active {
    display: block;
}
.erangel {
    background-image: url('./img/erangel.jpg');
}
.miramar {
    background-image: url('./img/miramar.jpg');
}
.sanhok {
    background-image: url('./img/sanhok.jpg');
}
.vikendi {
    background-image: url('./img/vikendi.jpg');
}

.marker {
    position: absolute;
    transform: translate(-50%, -50%);
    height: 3vh;
    width: 3vh;
    box-sizing: border-box;

    background-image: url('./img/marker.svg');

    transition: left 50ms, top 50ms;
    animation: pulse infinite alternate ease-in-out 2500ms;
}

.marker.new {
    background-image: url('./img/marker-new.svg');
}


@keyframes pulse {
    from {
        transform: translate(-50%, -50%) scale(1.2);
    }
    to {
        transform: translate(-50%, -50%) scale(0.8);
    }
}
